os = reaper.GetOS()
if "Win" == string.match(os,"(Win)") then
   package.cpath = package.cpath .. ";"..reaper.GetResourcePath() .."/UserPlugins/?.dll"
else
   package.cpath = package.cpath .. ";"..reaper.GetResourcePath() .."/UserPlugins/?.dylib"
end
require("reaper_AZSTOKE_SILVER")

function Msg(param)
   reaper.ShowConsoleMsg(tostring(param).."\n")
end

soloIncludeString = "_en"

retval,trackList = AZ_SILVER.AZ_GetTrackItemList(0)
reaper.AZ_SetTrackAllSoloOFF(0)

for i, value in pairs(trackList) do
    _,name = reaper.AZ_GetTrackItemName(value)
    _,check = reaper.AZ_CheckIncludeString(name,soloIncludeString)
    if check == true then
       reaper.AZ_SetTrackItemSolo(value,true)
    end
end
